#ifndef SIMULATOREXCEPTION_H_
#define SIMULATOREXCEPTION_H_

#include <string>
#include "config.h"

/** Basic exception for Simulator */
class SimulatorException
{
public:
	SimulatorException(): _msg() {};
	SimulatorException(const std::string& msg): _msg(msg) {};
	SimulatorException(const char* msg): _msg(msg) {};
	virtual ~SimulatorException() {};
	
	const char* what() { return _msg.c_str(); };
	std::string getMessage() { return _msg; };
	
private:
	std::string _msg;
};

#endif /*SIMULATOREXCEPTION_H_*/
